Subject: Appointment to the Internet Society Board of Trustees

From: Ted Hardie <[email-masked]>
Date: Tue, 3 May 2016 10:28:21 -0700

As set out in RFC 3677, the IAB is responsible for selecting a certain
number of the Trustees who serve on the Board of the Internet Society.

In fulfilment of that responsibility, we are happy to announce that Richard
Barnes has been selected for a three year term, to begin at ISOC's annual
general meeting in June.

The IAB had a very strong set of candidates this year, and we would like to
express our appreciation to each of them for their willingness to serve.
We look forward to their continued engagement with the Internet Society and
the IETF.

Ted Hardie & Suzanne Woolf
Selection committee chairs
For the IAB